/* LCM type definition class file
 * This file was automatically generated by lcm-gen
 * DO NOT MODIFY BY HAND!!!!
 */

package mylcm;
 
import java.io.*;
import java.util.*;
import lcm.lcm.*;
 
public final class exampleimu_t implements lcm.lcm.LCMEncodable
{
    public double yaw;
    public double pitch;
    public double roll;
    public double mag_x;
    public double mag_y;
    public double mag_z;
    public double acc_x;
    public double acc_y;
    public double acc_z;
    public double gyro_x;
    public double gyro_y;
    public double gyro_z;
 
    public exampleimu_t()
    {
    }
 
    public static final long LCM_FINGERPRINT;
    public static final long LCM_FINGERPRINT_BASE = 0x3c1518c4424eca7bL;
 
    static {
        LCM_FINGERPRINT = _hashRecursive(new ArrayList<Class<?>>());
    }
 
    public static long _hashRecursive(ArrayList<Class<?>> classes)
    {
        if (classes.contains(mylcm.exampleimu_t.class))
            return 0L;
 
        classes.add(mylcm.exampleimu_t.class);
        long hash = LCM_FINGERPRINT_BASE
            ;
        classes.remove(classes.size() - 1);
        return (hash<<1) + ((hash>>63)&1);
    }
 
    public void encode(DataOutput outs) throws IOException
    {
        outs.writeLong(LCM_FINGERPRINT);
        _encodeRecursive(outs);
    }
 
    public void _encodeRecursive(DataOutput outs) throws IOException
    {
        outs.writeDouble(this.yaw); 
 
        outs.writeDouble(this.pitch); 
 
        outs.writeDouble(this.roll); 
 
        outs.writeDouble(this.mag_x); 
 
        outs.writeDouble(this.mag_y); 
 
        outs.writeDouble(this.mag_z); 
 
        outs.writeDouble(this.acc_x); 
 
        outs.writeDouble(this.acc_y); 
 
        outs.writeDouble(this.acc_z); 
 
        outs.writeDouble(this.gyro_x); 
 
        outs.writeDouble(this.gyro_y); 
 
        outs.writeDouble(this.gyro_z); 
 
    }
 
    public exampleimu_t(byte[] data) throws IOException
    {
        this(new LCMDataInputStream(data));
    }
 
    public exampleimu_t(DataInput ins) throws IOException
    {
        if (ins.readLong() != LCM_FINGERPRINT)
            throw new IOException("LCM Decode error: bad fingerprint");
 
        _decodeRecursive(ins);
    }
 
    public static mylcm.exampleimu_t _decodeRecursiveFactory(DataInput ins) throws IOException
    {
        mylcm.exampleimu_t o = new mylcm.exampleimu_t();
        o._decodeRecursive(ins);
        return o;
    }
 
    public void _decodeRecursive(DataInput ins) throws IOException
    {
        this.yaw = ins.readDouble();
 
        this.pitch = ins.readDouble();
 
        this.roll = ins.readDouble();
 
        this.mag_x = ins.readDouble();
 
        this.mag_y = ins.readDouble();
 
        this.mag_z = ins.readDouble();
 
        this.acc_x = ins.readDouble();
 
        this.acc_y = ins.readDouble();
 
        this.acc_z = ins.readDouble();
 
        this.gyro_x = ins.readDouble();
 
        this.gyro_y = ins.readDouble();
 
        this.gyro_z = ins.readDouble();
 
    }
 
    public mylcm.exampleimu_t copy()
    {
        mylcm.exampleimu_t outobj = new mylcm.exampleimu_t();
        outobj.yaw = this.yaw;
 
        outobj.pitch = this.pitch;
 
        outobj.roll = this.roll;
 
        outobj.mag_x = this.mag_x;
 
        outobj.mag_y = this.mag_y;
 
        outobj.mag_z = this.mag_z;
 
        outobj.acc_x = this.acc_x;
 
        outobj.acc_y = this.acc_y;
 
        outobj.acc_z = this.acc_z;
 
        outobj.gyro_x = this.gyro_x;
 
        outobj.gyro_y = this.gyro_y;
 
        outobj.gyro_z = this.gyro_z;
 
        return outobj;
    }
 
}

